Is it normal, that it does not work with DT Lite 4.30.2 (of course I should upgrade to latest version but such a version check is quite special)

"Unable to authenticate DAEMON Tools Lite or DAEMON Tools Pro"